Как создать стиль мультивыноски без стрелки?

Автор Тема: Как создать стиль мультивыноски без стрелки?  (Прочитано 96 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн vermesserАвтор темы

  • ADN OPEN
  • **
  • Сообщений: 66
  • Карма: 2
Подскажите, пожалуйста, как создать стиль мультивыноски без стрелки.
Если не задавать свойство MLeaderStyle.ArrowSymbolId (или задать его равным ObjectId.Null/Nothing),
то стрелка всё равно будет присутствовать.

Отмечено как Решение vermesser 04-12-2019, 16:44:04

Оффлайн Александр Ривилис

  • Administrator
  • *****
  • Сообщений: 10373
  • Карма: 1314
  • Рыцарь ObjectARX
  • Skype: rivilis
1. Смотрим есть ли в чертеже блок (BlockTableRecord) с именем "_None". Если нет, то создаём его без единого примитива.
2. Получаешь ObjectId у BlockTableRecord блока с именем "_None"
3. Присваиваем ArrowSymbolId полученный ObjectId.
Не забывайте про правильное Форматирование кода на форуме
Создание и добавление Autodesk Screencast видео в сообщение на форуме
Если Вы задали вопрос и на форуме появился правильный ответ, то не забудьте про кнопку Решение

Оффлайн Александр Ривилис

  • Administrator
  • *****
  • Сообщений: 10373
  • Карма: 1314
  • Рыцарь ObjectARX
  • Skype: rivilis
В качестве альтернативы самостоятельному созданию блока "_None" можно задать системной переменной DIMBLK значение "_None" и AutoCAD сам создаст этот блок. Главное не забыть потом восстановить DIMBLK в предыдущее значение.
Не забывайте про правильное Форматирование кода на форуме
Создание и добавление Autodesk Screencast видео в сообщение на форуме
Если Вы задали вопрос и на форуме появился правильный ответ, то не забудьте про кнопку Решение

Оффлайн Александр Ривилис

  • Administrator
  • *****
  • Сообщений: 10373
  • Карма: 1314
  • Рыцарь ObjectARX
  • Skype: rivilis
Вот статья которая описывает такие действия: https://adndevblog.typepad.com/autocad/2012/07/adding-mleader-style-.html
Только там выноска не "_NONE", а "_DOT". Но схема полностью аналогичная.
Не забывайте про правильное Форматирование кода на форуме
Создание и добавление Autodesk Screencast видео в сообщение на форуме
Если Вы задали вопрос и на форуме появился правильный ответ, то не забудьте про кнопку Решение

Оффлайн vermesserАвтор темы

  • ADN OPEN
  • **
  • Сообщений: 66
  • Карма: 2
1. Смотрим есть ли в чертеже блок (BlockTableRecord) с именем "_None". Если нет, то создаём его без единого примитива.
2. Получаешь ObjectId у BlockTableRecord блока с именем "_None"
3. Присваиваем ArrowSymbolId полученный ObjectId.
Отлично помогло, спасибо!